Start a new topic

Unable to make a GEO AR in Flutter

Hi, I am currently evaluating different options for building AR app. And your sdk seems like a great option. But while testing one of the sample of your for the GEO AR/ poi on my iPhone, I seem to have encountered an issue when just running the sample project, where I only see basic html from the sample.

am i missing something?

I have attached some files as a point of reference. 


dart
(3.48 KB)
IMG2635.PNG
(2.66 MB)

Oh right, so here are some of the details;

  • Wikitude SDK 8.9.1
  • Flutter - 1.10.15-pre.94, Dart 2.6.0
  • On my iPhone 8 MQ6H2AE/A, IOS 13.
  • The implementation is directly taken from the sample provided, with only addition of;

if (!World.initiallyLoadedData) {
var poiData = {
"id": 1,
"longitude": (lon + (Math.random() / 5 - 0.1)),
"latitude": (lat + (Math.random() / 5 - 0.1)),
"altitude": 100.0
};
World.loadPoisFromJsonData(poiData);
World.initiallyLoadedData = true;
}

Hi,


Please provide the following details:


  • Which version of the SDK are you using?
  • What Flutter version are you using?
  • What device does this happen with (model details and OS version)?
  • The screenshot and the message 'trying to find out where you are' indicate that you didn't get a location fix (gps location) yet. Did you make sure to follow the setup to make sure that you get a location?

Thx and greetings

Nicola


Login or Signup to post a comment